﻿@page
@using Microsoft.VisualBasic
@using GameBrain
@using Domain
@model WebApp.Pages.GamePlay.Index


<div class="text-center">
    <h3>Opponent's board</h3>
</div>
<table class="table table-bordered">
    @for (int y = 0; y < Model.BoardHeight; y++)
    {
        <tr>
            @for (int x = 0; x < Model.BoardWidth; x++)
            {
                <td>
                    <form method="post">
                        <button type="submit" class="btn btn-light">@CellHelper.GetCellContent(Model.OpponentBoard.Board[y][x], Model.Game.isGameOver)</button>
                        <input asp-for="PlacementChoice" type="hidden" value="@y,@x">
                    </form>
                </td>
            }
        </tr>
    }
</table>
<br/>
<div class="text-center">
    <h3>Your board</h3>
</div>
<table class="table table-bordered">
    @for (int y = 0; y < Model.BoardHeight; y++)
    {
        <tr>
            @for (int x = 0; x < Model.BoardWidth; x++)
            {
                <td>
                    @CellHelper.GetCellContent(Model.PlayerBoard.Board[y][x], true)
                </td>
            }
        </tr>
    }
</table>